﻿// Add special assembly references to be parsed by ACT here.  ACT will always add itself as a reference.
// Example:  (Keep the // commenting in actual use)  
// reference:System.dll
using System;
using System.Reflection;
using Advanced_Combat_Tracker;
using System.Windows.Forms;
// ACT will parse these assembly attributes to show plugin info in the same way it would if it were a DLL
[assembly: AssemblyTitle("Всякие фиксы")]
[assembly: AssemblyDescription("Фиксы аое")]
[assembly: AssemblyVersion("1.0.0.1")]

namespace Some_ACT_Plugin
{
    public class Defiled_Soul_Fix_Plugin : IActPluginV1 // To be loaded by ACT, plugins must implement this interface
    {
        Label statusLabel;	// Handle for the status label passed by InitPlugin()

        public void InitPlugin(TabPage pluginScreenSpace, Label pluginStatusText)
        {
            statusLabel = pluginStatusText;
            statusLabel.Text = "Plugin started";
            Label lbl = new Label();
            lbl.Location = new System.Drawing.Point(8, 8);
            lbl.AutoSize = true;
            lbl.Text = "Nothing to display.";
            pluginScreenSpace.Controls.Add(lbl);
            // The C# Express IDE creates the CombatToggleEventDelegate constructor to auto-create the event method
            // but it is not required and "+= oFormActMain_OnCombatEnd" alone would have been valid, but not autocreated
            ActGlobals.oFormActMain.BeforeCombatAction += new CombatActionDelegate(oFormActMain_BeforeCombatAction);
        }

        void oFormActMain_BeforeCombatAction(bool isImport, CombatActionEventArgs actionInfo)
        {
            if (actionInfo.theAttackType == "Зловоние смерти")
            {
                actionInfo.attacker = "Зильфакс Шинкователь";          // Name the attacker
                return;
            }
            if (actionInfo.theAttackType == "Испепеляющие огни рока")
            {
                actionInfo.attacker = "Мастер Рока Вак'ризт";          // Name the attacker
                return;
            }
            if (actionInfo.theAttackType == "Ледяная ловушка")
            {
                actionInfo.attacker = "Сундук с лутом";          // Name the attacker
                return;
            }

        }


        public void DeInitPlugin()  // You must unsubscribe to any events you use
        {
            ActGlobals.oFormActMain.BeforeCombatAction -= oFormActMain_BeforeCombatAction;
            statusLabel.Text = "Plugin exited";
        }
    }
}